OpenTTD Source: Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T > Struct Template Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T > Struct Template Reference

## Public Member Functions
| IterateWrapper (size_t from=0)
PoolIterator< T > | begin ()
PoolIterator< T > | end ()
bool | empty ()

## Data Fields
size_t | from

## Detailed Description

template<class Titem, typename Tindex, size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
template<class T>
struct Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T >

Definition at line 178 of file pool_type.hpp.

## Constructor & Destructor Documentation

## ◆ IterateWrapper()

template<class Titem , typename Tindex , size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
template<class T >

Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T >::IterateWrapper | ( | size_t | from = `0` | ) |
| inline

Definition at line 180 of file pool_type.hpp.

## Member Function Documentation

## ◆ begin()

template<class Titem , typename Tindex , size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
template<class T >

PoolIterator< T > Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T >::begin | ( |  | ) |
| inline

Definition at line 181 of file pool_type.hpp.

## ◆ empty()

template<class Titem , typename Tindex , size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
template<class T >

bool Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T >::empty | ( |  | ) |
| inline

Definition at line 183 of file pool_type.hpp.

## ◆ end()

template<class Titem , typename Tindex , size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
template<class T >

PoolIterator< T > Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T >::end | ( |  | ) |
| inline

Definition at line 182 of file pool_type.hpp.

## Field Documentation

## ◆ from

template<class Titem , typename Tindex , size_t Tgrowth_step, size_t Tmax_size, PoolType Tpool_type = PT_NORMAL, bool Tcache = false, bool Tzero = true>
template<class T >

size_t Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::IterateWrapper< T >::from

Definition at line 179 of file pool_type.hpp.

The documentation for this struct was generated from the following file:

- src/core/pool_type.hpp